<div class="container mx-auto mt-5 px-4">
  <h1 class="text-3xl font-semibold text-gray-800 mb-6">Captura de Vídeo</h1>

  <form [formGroup]="videoForm" (ngSubmit)="onSubmit()" class="space-y-6">
    <div>
      <label for="videoSource" class="block text-lg font-medium text-gray-700 mb-2">Fonte de Vídeo</label>
      <select
        id="videoSource"
        class="shadow-sm appearance-none border border-gray-300 rounded-lg w-full py-3 px-4 text-gray-700 leading-tight focus:outline-none focus:ring-2 focus:ring-blue-500 focus:border-blue-500"
        formControlName="videoSource"
        (change)="onVideoSourceChange($event)"
      >
        <option value="">Selecione uma Fonte de Vídeo</option>
        <option *ngFor="let source of videoSources" [value]="source.name">{{ source.name }}</option>
      </select>
    </div>

    <div *ngIf="selectedVideoSource" class="space-y-4">
      <div *ngFor="let param of selectedVideoSource.parameters">
        <label [for]="param" class="block text-lg font-medium text-gray-700 mb-2">{{ param }}</label>
        <input
          [id]="param"
          [formControlName]="param"
          class="shadow-sm appearance-none border border-gray-300 rounded-lg w-full py-3 px-4 text-gray-700 leading-tight focus:outline-none focus:ring-2 focus:ring-blue-500 focus:border-blue-500"
          type="text"
          required
        />
      </div>
    </div>

    <button
      type="submit"
      class="w-full bg-blue-600 hover:bg-blue-700 text-white font-semibold py-3 px-4 rounded-lg focus:outline-none focus:ring-2 focus:ring-blue-500 focus:ring-offset-2 transition ease-in-out duration-150"
      [disabled]="!videoForm.valid"
    >
      Capturar Vídeo
    </button>
  </form>
</div>
